Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

Replies

Avatar

Avatar
Validate 1
Level 6
Prince_Shivhare
Level 6

Likes

72 likes

Total Posts

365 posts

Correct Reply

57 solutions
Top badges earned
Validate 1
Ignite 5
Ignite 3
Ignite 1
Give Back 50
View profile

Avatar
Validate 1
Level 6
Prince_Shivhare
Level 6

Likes

72 likes

Total Posts

365 posts

Correct Reply

57 solutions
Top badges earned
Validate 1
Ignite 5
Ignite 3
Ignite 1
Give Back 50
View profile
Prince_Shivhare
Level 6

16-04-2019

as per my understanding it should not be archetype issue.

because I am working in AEM 6.3 and archetype 17. and we are able to work in sling models properly with core components.

Also I am not able to find the dependency of sling models here:

org.apache.sling.models.impl:

In core pom:

<dependency>

   <groupId>org.apache.sling</groupId>

   <artifactId>org.apache.sling.models.impl</artifactId>

   <scope>test</scope>

</dependency>

<dependency>

   <groupId>org.apache.sling</groupId>

   <artifactId>org.apache.sling.api</artifactId>

   <version>2.4.2</version>

</dependency>

Parent POM:

<dependency>

   <groupId>org.apache.sling</groupId>

   <artifactId>org.apache.sling.models.impl</artifactId>

   <version>1.3.0</version>

   <scope>test</scope>

</dependency>

Avatar

Avatar
Level 1
sowmyas47494557
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

0 solutions
View profile

Avatar
Level 1
sowmyas47494557
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

0 solutions
View profile
sowmyas47494557
Level 1

17-04-2019

I have never used this dependency before (org.apache.sling.models.impl). But I did try it by adding these dependencies mentioned, however I still get the error.

But I tried to create another Project with archetype 13 and the sling model worked fine.

Avatar

Avatar
Level 1
sowmyas47494557
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

0 solutions
View profile

Avatar
Level 1
sowmyas47494557
Level 1

Likes

0 likes

Total Posts

7 posts

Correct Reply

0 solutions
View profile
sowmyas47494557
Level 1

17-04-2019

Is there any significance on the package name? Whenever I create a Project with package name as com.adobe.aem, it resolves to this error irrespective of the Archetype. I tried to create projects with archetype 13 and 15 under another package name and it works fine.